def mediane(L):
    E = ecc(L)
    N = E[-1][1] # effectif total

    if N % 2 == 0:
        moitie = N / 2 # moitié de l'effectif total
    else:
        moitie = (N +1) / 2

    for i in range( len(E) ):
        if E[i][1] > moitie:
            return E[i][0]
        if E[i][1] == moitie:
            return ( E[i][0] + E[i+1][0] ) / 2
